diff --git a/process_video.py b/process_video.py
index 4e01ebe..7ab1526 100644
--- a/process_video.py
+++ b/process_video.py
@@ -14,7 +14,7 @@ def segment_video(video, fps=5):
     if real_fps < fps:
         raise Exception("Video FPS cannot be bigger than desired FPS!")
 
-    n = real_fps / fps
+    n = int(real_fps / fps)
 
     result = []
     i=0
@@ -53,10 +53,10 @@ def read_saved_frames(dir, n):
 
 
 if __name__ == "__main__":
-    video = cv2.VideoCapture("kamil_asl.mp4")
-    model = tf.keras.models.load_model('model_pred/VGG16_sign_char_detection_model')
+    video = cv2.VideoCapture("mp.mp4")
+    model = tf.keras.models.load_model('model_pred/effnet_sign_char_detection_model')
 
-    frames, num = segment_video(video, 20)
+    frames, num = segment_video(video, 30)
     print(num)
     save_frames(frames, "frames")
     frames = read_saved_frames("frames", num)
